ksh93u+m (1.0.4-1) unstable; urgency=high

  * New upstream release.

 -- Anuradha Weeraman <anuradha@debian.org>  Sat, 29 Oct 2022 16:12:51 +0530

ksh93u+m (1.0.3-2) unstable; urgency=medium

  * Fixed issue with binfmt during upgrades (Closes: #1018301)

 -- Anuradha Weeraman <anuradha@debian.org>  Mon, 29 Aug 2022 23:21:50 +0530

ksh93u+m (1.0.3-1) unstable; urgency=high

  * New upstream release. (Closes: #742803)

 -- Anuradha Weeraman <anuradha@debian.org>  Sat, 27 Aug 2022 21:49:00 +0530

ksh93u+m (1.0.1-2) unstable; urgency=high

  * Bump up transitional package version (Closes: #1016804)

 -- Anuradha Weeraman <anuradha@debian.org>  Sun, 07 Aug 2022 23:13:05 +0530

ksh93u+m (1.0.1-1) unstable; urgency=high

  * New upstream release.
  * Updated watch file.

 -- Anuradha Weeraman <anuradha@debian.org>  Sat, 06 Aug 2022 19:02:46 +0530

ksh93u+m (1.0.0~rc.1-1) unstable; urgency=high

  * New upstream release. (Closes: #1012964)
  * Bumped up standards version.
  * Lintian fixes.

 -- Anuradha Weeraman <anuradha@debian.org>  Sat, 30 Jul 2022 15:28:13 +0530

ksh93u+m (1.0.0~beta.2-1) unstable; urgency=high

  * New upstream release.
  * Debian-specific patch by Simon McVittie to hardcode location of tput
    to address reproducibility issue. (Closes: #1001210)

 -- Anuradha Weeraman <anuradha@debian.org>  Mon, 06 Dec 2021 20:27:30 +0530

ksh93u+m (1.0.0~beta.1-3) unstable; urgency=high

  * Bump up transitional package version (Closes: #1001097)

 -- Anuradha Weeraman <anuradha@debian.org>  Sun, 05 Dec 2021 08:20:33 +0530

ksh93u+m (1.0.0~beta.1-2) unstable; urgency=medium

  * Specified "Provides" relationship to ksh

 -- Anuradha Weeraman <anuradha@debian.org>  Fri, 03 Dec 2021 21:34:37 +0530

ksh93u+m (1.0.0~beta.1-1) unstable; urgency=high

  * Imported upstream updates from ksh93u+m that this package will be
    tracking moving forward. ksh93u+m is a community maintained distribution
    of ksh93u+ that has consolidated many fixes and updates from multiple
    distributions to provide a stable release of ksh93 (Closes: #994100)
  * Introducing transitional binary package for "ksh"
  * Pruned already merged patches
  * Updates to documentation and doc-base
  * Added CI testing via autopkgtest
  * Copyright updates
  * Added watch file for upstream releases

 -- Anuradha Weeraman <anuradha@debian.org>  Sun, 05 Sep 2021 18:44:36 +0530

ksh (2020.0.0+really93u+20120801-10) unstable; urgency=medium

  * Bumped up Standards Version to 4.6.0
  * Use $TMPDIR in bin/package
  * Fix crash due to broken job locking (Closes: #972411)

 -- Anuradha Weeraman <anuradha@debian.org>  Sun, 22 Aug 2021 20:18:55 +0530

ksh (2020.0.0+really93u+20120801-9) unstable; urgency=medium

  * Updated UMEGAYA
  * Support for rootless building
  * Cleanups for debian/rules to make more use of debhelper
  * Included additional documentation file
  * Fix to skip '.' and '..' when globbing patterns like .*
  * Bumped up standards version

 -- Anuradha Weeraman <anuradha@debian.org>  Tue, 8 Dec 2020 19:27:41 -0400

ksh (2020.0.0+really93u+20120801-8) unstable; urgency=medium

  * Fix for segfault when a .paths directory exists in the PATH
  * Bug-fix on input buffer boundary of multibyte characters (Closes: #767935)
  * Added X-AppStream-Ignore=true to ksh.desktop

 -- Anuradha Weeraman <anuradha@debian.org>  Sun, 12 Jul 2020 10:09:44 -0400

ksh (2020.0.0+really93u+20120801-7) unstable; urgency=medium

  * Updated Vcs-* fields in debian/control
  * Fix AppStream warning on missing icon in .desktop file
  * Changed binfmt-support to a suggested dependency
  * Removed debian/NEWS on the ksh2020 revert (Closes: #964058)

 -- Anuradha Weeraman <anuradha@debian.org>  Mon, 29 Jun 2020 19:47:14 -0400

ksh (2020.0.0+really93u+20120801-6) unstable; urgency=high

  * v2020 of ksh is no longer being maintained and upstream repository has
    been reverted back to the last stable version of 93u+. This update
    reverts back the ksh2020 changes back to the original ksh93 from AT&T.
  * Patch for CVE-2019-14868 - certain environment variables were
    interpreted as arithmetic expressions on startup, leading to code
    injection

 -- Anuradha Weeraman <anuradha@debian.org>  Sat, 27 Jun 2020 21:17:32 -0400

ksh93 (93u+20120801-7) unstable; urgency=medium

  * Fix for crashes because job locking mechanism does not survive
    compiler optimization (Closes: #867181)
  * Fix for implicit declaration warnings
  * Updated upstream metadata

 -- Anuradha Weeraman <aweeraman@gmail.com>  Thu, 06 Feb 2020 21:21:27 -0500

ksh93 (93u+20120801-6) unstable; urgency=high

  * Team upload.
  * Fix a few missing CFLAGS, CPPFLAGS, LDFLAGS

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 04 Feb 2020 21:36:56 +0100

ksh93 (93u+20120801-5) unstable; urgency=high

  * Team upload.
  * Fix ksh93 name in more places; improve ksh2020 coïnstallability
  * Bump Policy (no change)
  * Fix doc-base section
  * Drop unused french manpage
  * Update packaging (debhelper, etc.)
  * Add UMEGAYA file
  * Switch to update-alternatives for binfmt-misc registration
  * Refresh patches, add missing comments
  * R³: actually, yes (upstream portion of installation)
  * Update lintian overrides
  * Add debian/NEWS, documenting why this package was split
  * Ensure coïnstallability: versioned Breaks: ksh

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 27 Jan 2020 16:49:22 +0100

ksh93 (93u+20120801-4) unstable; urgency=medium

  * Re-introduce ksh93 into the archive as a separate package (Closes: #948745)
  * Bumped up standards-version
  * Set the hardened build flags
  * Use alternatives system for binaries

  [ Boyuan Yang ]
  * debian/control: Explicitly specify Vcs-Git branch.

 -- Anuradha Weeraman <aweeraman@gmail.com>  Sat, 18 Jan 2020 21:34:10 -0500

ksh (93u+20120801-3.4) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/menu: Replace menu entry with a .desktop file that only shows under Old menu systems
  * debian/rules: get-orig-source: Add notes about retrieving src
  * debian/watch: Add a watch file to monitor upstream version
  * debian/watch: Fix matching

  [ Aron Xu ]
  * Non-maintainer upload.
  * Fix FTBFS with glibc >= 2.28 by Juhani Numminen (Closes: #915326)

 -- Aron Xu <aron@debian.org>  Fri, 14 Dec 2018 15:26:58 +0800

ksh (93u+20120801-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Update Vcs-* fields and use git repo under Salsa
    Debian group.
  * debian/patches: Refresh last patch.
  * debian/changelog: Remove trailing spaces.

 -- Boyuan Yang <byang@debian.org>  Fri, 09 Nov 2018 10:52:17 -0500

ksh (93u+20120801-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failures caused by update in glibc (Closes: #887743)

 -- Aron Xu <aron@debian.org>  Mon, 05 Nov 2018 17:46:13 +0800

ksh (93u+20120801-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * fix postinst with merged /usr using patch from mksh (Closes: #810158)

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 31 May 2017 11:57:56 +0200

ksh (93u+20120801-2) unstable; urgency=medium

  * Adopted package (Closes: #691199)
  * Created alioth git repository and added VCS fields
  * Removed Conflicts clause versus pdksh as it is no longer relevant
  * Marked RELEASE file as an upstream changelog rather than simply doc
  * Added lintian override explaining the absence of a watch file
  * Added patch to correct spelling errors
  * Raised standards version to 3.9.6 - no change
  * Raised compat level and debhelper version to 9
  * Revamped debian/rules and added hardening and reproducibility
  * Added binary format support for compiled scripts (Closes: #687343)
  * Reviewed package description - added note about shcomp
  * Registered with doc-base and added extra documents
  * Moved example.kshrc to /etc/skel/.kshrc
  * Reviewed cleanup-man-title.patch and enabled rksh
  * Small correction to formatting of man page (Closes: #755486)
  * Removed deprecated GREP_OPTIONS from example.kshrc
  * Removed SHLVL increment from example.kshrc as it was doubling increment
  * Rewrote setenv() in example.kshrc (Closes: #792733)
  * Reviewed copyright file and added license-reconcile config
  * Changed default fc editor to ex (Closes: #633524)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 02 Nov 2015 15:27:02 +0000

ksh (93u+20120801-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Removed extra files that had leaked into debian tarball, mea culpa

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Tue, 27 Oct 2015 08:06:23 +0000

ksh (93u+20120801-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from bug report to resolve FTBS (Closes: #777930)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Fri, 16 Oct 2015 07:10:35 +0100

ksh (93u+20120801-1) unstable; urgency=low

  * New upstream release.
  * Support hardening compiler options.
  * Bump to Standards-Version 3.9.4.
  * Includes upstream fix to detect renamed parent directory. (closes: #686149)
  * cd built-in now properly fixed upstream. (Really Closes: #679966)

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Mon, 07 Jan 2013 16:08:49 +0100

ksh (93u+20120628-1) unstable; urgency=high

  * New upstream release (closes: #679966)

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Thu, 12 Jul 2012 05:41:59 +0200

ksh (93u+-1) unstable; urgency=low

  * Bump to Standards-Version 3.9.3
  * New upstream release (closes: #636580, #667038)

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Sun, 15 Apr 2012 01:28:31 +0200

ksh (93u-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Bump to Standards-Version 3.9.1
  * New upstream release (closes: #600042)

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Fri, 25 Mar 2011 11:28:48 +0100

ksh (93t+20100621-1) unstable; urgency=low

  * Bump to Standards-Version 3.9.0
  * New upstream release

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Thu, 08 Jul 2010 11:55:12 +0200

ksh (93t+20100309-1) unstable; urgency=low

  * New upstream release

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Thu, 25 Mar 2010 00:23:35 +0100

ksh (93t+20100301-1) unstable; urgency=low

  * Better detection of utimensat() to fix build on GNU/kFreeBSD
    from Petr Salinger (closes: #537246)
  * Bump to Standards-Version 3.8.4
  * New upstream release

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Thu, 04 Mar 2010 11:27:15 +0100

ksh (93t+-2) unstable; urgency=low

  * Fix errors in manpage

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Thu, 04 Jun 2009 13:27:46 +0200

ksh (93t+-1) unstable; urgency=low

  * Bump to Standards-Version 3.8.1
  * Add get-orig-source target to debian/rules
  * New upstream release (closes: #455824, #526160)

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Fri, 15 May 2009 11:54:18 +0200

ksh (93s+20080202-1) unstable; urgency=low

  * Bump to Standards-Version 3.7.3
  * Fix NAME section of manpage (closes: #463022)
  * Don't compile binaries with an RPATH
  * New upstream release (closes: #445992)

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Fri, 08 Feb 2008 12:09:24 +0100

ksh (93s+20071105-1) unstable; urgency=low

  * Change menu section to Applications/Shells
  * New upstream release

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Mon, 19 Nov 2007 12:53:14 +0100

ksh (93s+20070628-1) unstable; urgency=low

  * New upstream release
  * Enable /etc/ksh.kshrc support (closes: #431206)

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Fri, 13 Jul 2007 12:45:26 +0100

ksh (93s+-1) unstable; urgency=low

  * Bump to Standards-Version 3.7.2
  * New upstream release (closes: #384797)

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Mon, 23 Apr 2007 14:49:54 +0200

ksh (93r-1) unstable; urgency=high

  * Fix build failure with bash 3.1 as /bin/sh
  * New upstream release

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Tue, 07 Feb 2006 19:24:26 +0100

ksh (93q+93r-1) unstable; urgency=high

  * New upstream beta version, fixes gcc 4 problem (closes: #314578)

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Thu, 11 Aug 2005 22:34:14 +0200

ksh (93q-4) unstable; urgency=low

  * Merge fix for problem with function return status.
  * Bump to Standards-Version 3.6.2.

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Mon, 27 Jun 2005 19:20:35 +0200

ksh (93q-3) unstable; urgency=low

  * Include shcomp binary along with English and French man pages
    from Christophe Martin (closes: #311789).

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Wed, 15 Jun 2005 22:38:37 +0200

ksh (93q-2) unstable; urgency=low

  * Install /bin/ksh alternative, and conflict with versions of
    pdksh older than 5.2.14-18 (closes: #304359).
  * Add example.kshrc file

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Mon, 18 Apr 2005 23:44:06 +0200

ksh (93q-1) unstable; urgency=low

  * Initial Release.

 -- Oliver Kiddle <okiddle@yahoo.co.uk>  Wed,  9 Feb 2005 22:54:12 +0100
